ZMQSocket::send
ZMQSocket::setSockOpt
ZMQSocket
PHP Manual

# ZMQSocket::sendmulti

Sends a multipart message

### Description

public ZMQSocket ZMQSocket::send ( array `$message` [, integer `$mode` = 0 ] )

Send a multipart message using the socket. The operation can block unless `ZMQ::MODE_NOBLOCK` is used.

### Parameters

`message`

  The message to send - an array of strings

`mode`

  Pass mode flags to receive multipart messages or non-blocking operation. See `ZMQ::MODE_*` constants.

### Return Values

Returns the current object. Throws ZMQSocketException on error. If `ZMQ::MODE_NOBLOCK` is used and the operation would block boolean false shall be returned.